#!/bin/sh
echo 'name: crypto-pubkey
version: 0.1.2
id: crypto-pubkey-0.1.2-39da53ce7e986b66621cde6ecadc0de8

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-crypto-pubkey
package-url:
synopsis: Public Key cryptography
description: Public Key cryptography
             .
             Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
             .
             Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15
                 Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
                 Crypto.PubKey.DSA Crypto.PubKey.DH Crypto.PubKey.HashDescr
                 Crypto.PubKey.MaskGenFunction
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/crypto-pubkey-0.1.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/crypto-pubkey-0.1.2
              /usr/local/lib
hs-libraries: HScrypto-pubkey-0.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         crypto-numbers-0.1.3-5b44ed748d2e3ee4e00a968cc456dcd0
         crypto-pubkey-types-0.2.0-ddf53246e9d1c6cc711b309473c77bee
         crypto-random-api-0.2.0-8316650302eee29c197dd32c53ec7ac6
         cryptohash-0.8.3-44081864b73c0873c24a7b84ff57e658
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/crypto-pubkey-0.1.2/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/crypto-pubkey-0.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
